/* #Root */
:root{
    --white: #ffffff;
    --black: #000000;
    --size: 100vh;
    --size-i: -920px;

    --blue-dark: #0c394f;
    --blue-med: #0768aa;
    --blue-light: #2190C9;
    --blue-lightest: #20a8ec;
    --grey-light: #BDBDBD;
    --grey-med: #DADADA;
    --grey-dark: #3b3b3a;
    --overlay-bg: rgba(0,0,0,.5);
    --roboto:"roboto", sans-serif; /*200, 300, 400, 700, 900*/
    --dm-sans: "dm-sans", serif; /*400, 700, 900*/
    --source-sans: "source-sans-pro", sans-serif; /*400, 600, 700, 900*/

    /* Decade Years */
    --year-9: #dc93f2;
    --year-9-highlight:#ad00e2;
    --year-8: #d294f2;
    --year-8-highlight: #9a16e2;
    --year-7: #c799f2;
    --year-7-highlight: #872ce2;
    --year-6: #bca2f1;
    --year-6-highlight: #7341e2;
    --year-5: #b2acf1;
    --year-5-highlight: #6057e2;
    --year-4: #aab6f0;
    --year-4-highlight: #4d6de2;
    --year-3: #a5c1f1;
    --year-3-highlight: #3a83e2;
    --year-2: #a2cbf0;
    --year-2-highlight: #2698E2;
    --year-1: #a1d7f0;
    --year-1-highlight: #13aee2;
    --year-0: #a4e1f0;
    --year-0-highlight: #00c4e2;

    --scaling: clamp(0.8rem, 1.7vw, 1rem);
    --scaling-med: clamp(.8rem, 2vw, 1.2rem);
    --scaling-large: clamp(1rem, 4vw, 1.5rem);
    --scaling-xlarge: clamp(1.5rem, 4.2vw, 2.7rem);

    /* --year-0: #DC93F2;
    --year-0-highlight:#AD00E2;
    --year-1: #D294F2;
    --year-1-highlight: #9A16E2;
    --year-2: #C799F2;
    --year-2-highlight: #872CE2;
    --year-3: #BCA2F1;
    --year-3-highlight: #7341E2;
    --year-4: #B2ACF1;
    --year-4-highlight: #6057E2;
    --year-5: #AAB6F0;
    --year-5-highlight: #4D6DE2;
    --year-6: #A5C1F1;
    --year-6-highlight: #3A83E2;
    --year-7: #A2CBF0;
    --year-7-highlight: #2698E2;
    --year-8: #A1D7F0;
    --year-8-highlight: #13AEE2;
    --year-9: #A4E1F0;
    --year-9-highlight: #00C4E2; */

}

/* #end Root */

/* #Global */

html{
    max-width: 100vw;
    overflow-x: hidden;
    max-height: 100vw;
    overflow-y: hidden;
    font-size: 16px;
    font-family: var(--roboto);
    color: var(--blue-med);
    background-color: var(--black);
}

body{
    display: flex;
    flex-direction: column;
    position: relative;
    width:var(--size);
    max-width: 100vw;
    max-height: 100vh;
    height: var(--size);
    margin: auto;
    overflow-x: hidden;
    overflow-y: hidden;
    font-size: 16px;
    font-family: var(--roboto);
    color: var(--blue-med);
}

*{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

.container{
    width: 920px;
    padding: 0px 1rem;
    max-width: 100%;
    margin: auto;
}

#main{
    position: relative;
    background-color: var(--white);
    display: flex;
    flex: 1 0;
    flex-direction: column;
    height: 100%;
}

.loading::after{
    content: "loading";
    top: 0;
    left:0;
    right:0;
    bottom:0;
    background-color: var(--grey-light);
    position: absolute;
    z-index: 1000;
    opacity: 1;
    pointer-events: none;
    display: flex;
    align-items: center;
    justify-content: center;
}

.loading.error::after{
    content: "Uh oh, looks like something went wrong. Please try reloading the page.";
}

.loading-finished::after{
    opacity: 0;
    transition: opacity .25s ease-out;
}

img{
    max-width: 100%;
    height: auto;
}

button{
    border: 0;
    margin: 0;
    padding: 0;
    background: none;
    border-radius: 0;
    cursor: pointer;
}

@media screen and (max-width: 429px) {
    body{

    }
    .nmb{display:none !important}
}

/* #end Global  */

/* #Header */

header#header{
    flex-grow: 0;
    position: relative;
}

#header-top > .container{
    display: flex;
    height: 150px;
    align-items: center;
    padding: 30px 2rem;
    justify-content: space-between;
}

#header-text{
    flex-grow: 1;
}

#header-text h1{
    font-family: var(--source-sans);
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
    font-size: var(--scaling-xlarge);
    line-height: 1;
}

#header-text p{
    font-family: var(--source-sans);
    color: #000000;
    font-size: 14.5px;
}

#header-image{
    text-align: right;
    width: 350px;
}

#header-image img{
    max-height: calc(150px - 60px);
}

@media screen and (max-width: 429px) {
    #header-top > .container{
        flex-direction: column-reverse;
        height: unset;
        padding: .5rem 1rem 1rem;
    }
    #header-text{
        width: 100%;
        text-align: center;
    }
    #header-text p{
        font-size: 14px;
    }
    #header-image{
        width: 50%;
    }
}

/* #end Header  */

/* #Timeline */

#timeline{
    width: 100%;
}

#show-timeline-mobile{
    display: none;
}

#decades-wrapper{
    background-color: var(--blue-med);
    padding: 0px .5rem;
    overflow-x: auto;

}

#decades{
    display: flex;
    min-width: fit-content;
    max-width: 100%;
    width: 920px;
    margin: auto;

}

#decades-wrapper::-webkit-scrollbar{
    display: none;
}

#decades-wrapper{
    -ms-overflow-style: none;
    scrollbar-width: none;
}

#decades > button{
    display: flex;
    color: var(--white);
    padding: .9rem 0;
    position: relative;
    z-index:3;
    flex: 1 1;
    text-align: center;
}


#decades > button.active-decade{
    background-color: var(--blue-light);

}

#decades button span{
    transition: scale .25s ease;
}

#decades button:hover span{
    scale: 1.2;

}

#decades > button span{
    position: relative;
    z-index:3;
    text-align: center;
    display: inline-block;
    width: 100%;
    font-size: var(--scaling);
    font-family: var(--roboto);
    font-weight: 600;
}

#decades > button:not(:last-child)::after, #decades > button:not(:first-child)::before{
    content: "";
    position: absolute;
    height: calc(100% - 1.2rem);
    top: .6rem;
    right: 0px;
    width: 1px;
    background-color: var(--white);
    z-index: 5;
    opacity: .5;
}
#decades > button:not(:first-child)::before{
    left: 0;
    right: unset;
}

#open-timeline{
  display: none;
}

#close-timeline{
  position: absolute;
  bottom: 0;
  right: 0;
  font-size: 0px;
  width: 50px;
  height: 44px;
  background-color: var(--blue-med);
  transform: translateY(100%);
  z-index: 10;
  background-image: url('../assets/house.svg');
  background-repeat: no-repeat;
  background-position: center 5px;
  background-size: 30px;
  transition: transform .25s ease;
}

#close-timeline[aria-hidden="true"]{
    transform: translateY(100%) translateX(100%);

}




@media screen and (max-width: 429px) {

header#header{
  border-bottom: 10px solid #2c66e2;
    overflow: visible;
  position: relative;
}

#timeline{
  position: fixed;
  bottom: 0;
  z-index: 10000;
  width: 100px;
  height: 100%;
  right: -100px;
  background-color: var(--blue-med);
  transition: right .25s ease;
}
#timeline[aria-hidden="false"]{
  right: 0;
}

#toggle-timeline{
  position: absolute;
  display: block;
  top: 1rem;
  transform: translateX(-100%);
  background-color: var(--blue-med);
  color: white;
  line-height: 0;
  width: 2rem;
  height: 2rem;
  font-weight: 600;
  display: block;
  font-size: 2rem;

}

#open-timeline{
  display: block;
  position: absolute;
  bottom: 0rem;
  left: 50%;
  transform: translateY(100%) translateX(-50%);
  z-index: 10;
  background-color: #2c66e2;
  color: white;
  padding: .5rem 1rem ;
  border-radius: 5px;
}


#open-timeline[aria-hidden="true"]{
  display: none;
}
#decades-wrapper{
  padding: 0px;
}
#decades{
  flex-direction: column;

}
#decades button::before{
  content: none !important;
}
#decades button::after{
  right: unset !important;
  top: unset !important;
  bottom: 0;
  height: 2px !important;
  width: 80px !important;
  left: 50%;
  transform: translateX(-50%);
}


}




/* #end Timeline  */

/* #Cover */

#cover{
    flex-grow: 1;
    background-image: url(../assets/stormont.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: right top;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: end;
    overflow-y: auto;
    align-items: center;
}

#cover-content{
    display: flex;
    justify-content: space-between;
    color: var(--white);
    padding: 1rem 2rem;
    font-family: var(--roboto);
    width:100%;
    background-color: #3b3b3bcc;
    gap: 3rem
}

.cover-text{
    width: 50%;
    transition: transform .5s ease;
    position: relative;
}

.cover-text:last-child::after{

    content: "";
    position: absolute;
    top: 0;
    left:-1.5rem;
    height: 100%;
    width: 0px;
    border-left: 2px dashed white;

}

.cover-text h2 {
    font-size: var(--scaling-large);
    margin-bottom: 1rem;
}

.cover-text p {
    font-size: var(--scaling-med);
    margin-bottom: 1rem;
    font-size: 1.1rem;
    line-height: 1.43;
}

#home-button{
    position: fixed;
    bottom:1rem;
    left: 1.25rem;
    display: block;
    width:40px;
    height: 40px;
    padding: .5rem;
    background-color: var(--white);
    fill: var(--blue-light);
    border-radius: 5px;

}

#fullscreen-button, #exit-fullscreen-button{
    position: fixed;
    bottom:1rem;
    right: 1.25rem;
    display: block;
    width:40px;
    height: 40px;
    padding: .5rem;
    background-color: var(--white);
    fill: var(--blue-light);
    border-radius: 5px;

}

#exit-fullscreen-button[aria-hidden="true"]{
    display: none;
}

@media screen and (max-width: 920px) {
    #cover{
        background-size: cover;
    }
}

@media screen and (max-width: 429px) {
    #cover{
        overflow-y: auto;
        padding-top: 50px
    }
    #cover-content{
        padding: 1rem 1rem 0;
        flex-direction: column;
        overflow-y: auto;
    }
    #cover-content > div{
        width: 100%;

    }
    #cover-image{
        text-align: center;
    }

}

/* #end Cover  */

/* #Events List */
#event-list{
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 0px;
    background-color: var(--white);
    transition: height .25s ease;
    padding: 1rem 1rem 3rem;
    overflow-y: auto;
}

#event-list[aria-hidden="true"]{
    padding: 0;
}

#event-list h2{
    display: none;
}

.event{
    margin-bottom: .6rem;
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    color: var(--grey-dark);
    font-family: var(--source-sans);
    cursor: pointer;
    width: 100%;
    transition: color .25s ease, background-color .25s ease;

}

.event-list-details, .event-list-actions{
    display: flex;
    flex-direction: row;
}

.event-list-details{
    flex: 1 0;
    position: relative;
    padding-left: 110px;
}

.event:hover{
    background-color: #8ac3aa !important;
    color:var(--black)
}

.event:hover .event-button{
    background-color: rgb(3, 143, 3)
}

.event svg{
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    left: 1rem;
    width: 55px;
    height: auto;
    filter: drop-shadow(2px 2px 2px rgba(0, 0, 0, 0.2));
    z-index: 1;
}

.event .event-year{
    position: absolute;
    display: flex;
    flex-direction: column;
    left: 1rem;
    top: 50%;
    transform: translateY(-50%);
    height: 100%;
    width: 55px;
    padding-top: 1rem;
    align-items: center;
    justify-content: center;
    z-index: 2;
    font-size: 1rem;
    line-height: 1;
    color: var(--blue-med);
    text-transform: uppercase;
    font-family: var(--dm-sans);
}
.event .event-year span{
    font-weight: 900;
    font-size: 1.1rem;
}

.event .event-title{
    display: flex;
    align-items: center;
    text-align: left;
    flex-grow: 1;
    width: 100%;
    padding: 1rem 0;
    color: inherit;
    font-size: var(--scaling-med);
    font-family: inherit;
    font-weight: 600;
}

.event .event-button{
    display: flex;
    align-items: center;
    justify-items: center;
    font-size: 0.0001px;
    background-color: var(--grey-light);
    width: 75px;
    flex-shrink: 0;
    transition: background-color .25s ease;

}

.event-button img{
    padding: 10px 25px

}



@media screen and (max-width: 429px) {
    #event-list h2{
        /* display: block; */
    }
    .event{
        flex-direction: row;

    }
    .event-list-details, .event-list-actions{
        display: flex;
        flex-direction: column;
        position: relative;
    }
    .event-list-details{
        flex: 1 0;
        padding: 0 0 0 4rem
    }
    .event .event-year{
        padding: 0rem;
        width:45px;
        padding-top: 12px;
    }
    .event .event-title{
        text-align: left;
    }

    .event svg {
      left: .5rem;
      width: 45px;
    }

    .event .event-year{
      left: .5rem;
      font-size: .9rem;
    }
    .event .event-year span {
      font-size: 1rem;
    }
    .event .event-featured{
        position: absolute;
        top: 0.5rem;
        padding: 0;
        width: 20px;
        right: calc(50px + .5rem);
    }
    .event .event-button{
        height: 100%;
        display: flex;
        align-content: center;
        align-items: center;

    }
    .event .event-button{
        height: 100%;
        width:50px
    }
    .event .event-button img{
        padding: 3px 10px;
    }

}

/* #end Events List  */

/* #Active Event */

#active-events{
    position: absolute;
    bottom: 0;
    left: 0%;
    width: 100%;
    height: 100%;
    z-index: 1000;
    transition: left .5s ease;
    overflow: hidden;
    pointer-events: none;
    display: flex;
    flex-direction: column;
}
#active-events[aria-hidden="false"]{
  pointer-events:unset
}

#active-event{
  flex: 1 0 100%;
  max-height: 100%;

}

#event-footer{
  transform: translateY(135%);
  transition: transform .25s ease;
}

.event-body{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  padding-top: 165px;
  padding-bottom: 80px;
  background-color: var(--white);
  z-index: 100;
  transform: translateY(-100%);
  transition: transform .5s ease;
  /* animation: slideUp .5s forwards; */
}
#next-event .event-body, #prev-event .event-body{
  transform: translateY(0%) !important;
  animation: none !important;
}

.event-header{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 165px;
  display: flex;
  align-items: flex-start;
  padding-left:3.2rem;
  padding-right:3.5rem;
  padding-top: 35px;
  gap: 1rem;
  position: relative;
  font-size: 1.2rem;
  font-family: var(--source-sans);
  color: var(--white);
  font-weight: 700;
  text-transform: uppercase;
  z-index: 101;
  transform: translateY(-120%);
  line-height: 1.08;
    transition: transform .5s ease;

  /* animation: slideUp .5s forwards; */
}

h2.event-title{
    width: 80%;
    flex-grow: 1;
}
h2.event-title span{
  font-weight: 400;
}


.event-corner{
    display: flex;
    height: 100%;
    padding-top: 1.8rem;

}
.close-event{
  font-size: 0;
  border: 2px solid white;
  line-height: 0;
  width: 50px;
  height: 50px;
  border-radius: 5px;
  background-image: url('../assets/house.svg');
  background-position: center;
  background-repeat: no-repeat;
  background-size: 75%;
}


#next-event .event-header, #prev-event .event-header{
  transform: translateY(0%) !important;
  animation: none !important;
}

#active-events[aria-hidden="false"] .event-body, #active-events[aria-hidden="false"] .event-header{
  transform: translateY(0%);
}

#active-events[aria-hidden="false"] .initial .event-body, #active-events[aria-hidden="false"] .initial .event-header{
  animation: slideDown .5s forwards;
}

#active-events[aria-hidden="false"] #event-footer{
  transform: translateY(0%);
  transition: transform .5s ease;
}

#active-events[aria-hidden="true"] .event-body, #active-events[aria-hidden="true"] .event-header{
  transform: translateY(-100%);
}

#active-events[aria-hidden="true"] .initial .event-body, #active-events[aria-hidden="true"] .initial .event-header{
  animation: slideUp .5s forwards;
}

#active-events[aria-hidden="true"] #event-footer{
  transform: translateY(calc(100% + 37px));
  transition: transform .5s ease;
}


@keyframes slideDown {
  from {transform: translateY(-100%);}
  to {transform: translateY(0%);}
}
@keyframes slideUp {
  from {transform: translateY(0%);}
  to {transform: translateY(-100%);}
}


.event-header::after{
    content: "";
    position: absolute;
    width:100%;
    height: 15px;
    left: 0;
    bottom: 0;
    background-color: rgba(255, 255, 255, 0.4);
}

.event-corner-image{
    width: 200px;

}

.event-title-image{
    color: var(--white);
}



.event-content{
    position: relative;
    display: flex;
    flex-wrap: nowrap;
    flex: 1 0 auto;
    height: 100%;
    overflow-y: auto;
    padding: 3.2rem;
    gap:1.5rem

}

.event-text {
  flex: 1 1 ;
}
.event-text p{
  font-size:1.2rem ;
  color: var(--grey-dark);
  margin-bottom: 1rem;
}

.event-media-wrapper{
    width: 40%;
    position: relative;
    color: var(--grey-dark);
    overflow: hidden;
}
.event-media-wrapper img{
  max-width: 100%;
  outline: 1px solid #575756;
}

.event-media-wrapper .thumb-caption{
  display: block;
  margin-top: -5px;
  padding: 1rem;
  color: white;
  font-family: var(--dm-sans);
  background: #575756;
  outline: 1px solid #575756;
  overflow-wrap: break-word;
}
.event-media-wrapper .thumb-caption:empty{
  display: none;
}

.event-media-wrapper .thumb-caption a{
  color: white;
}



.event-media{
  position: relative;
  cursor: pointer;
}
.event-media button{
  position: absolute;
  bottom: 1rem;
  right: 1rem;
  font-size: 0px;
  width: 40px;
  height: 40px;
  background-color: white;
  background-image: url('../assets/fullscreen.svg');
  background-position: center;
  background-size: 30px;
  background-repeat: no-repeat;
  transition: background-size .25s ease;
}
.event-media:hover button{
  background-size: 35px;
}

#event-footer{
    width: 100%;
    position: absolute;
    bottom: 0;
    z-index: 1002;
    background-color: #9d9d9c;
}

#calendar-buttons{
  display: flex;
  flex: 0 1 40px;
  width: 100%;
  height: 80px;
}


#footer-caladars{
  width: 100%;
  position:relative
}

.svg-calendar{
  position: absolute;
  overflow: hidden;
  pointer-events: none;
  transition: all .5s;

}

.svg-calendar > div{
    position: absolute;
    display: flex;
    flex-direction: column;
    top: 0;
    height: 100%;
    width: 100%;
    padding-top: 1.5rem;
    align-items: center;
    justify-content: center;
    z-index: 2;
    font-size: 1.8rem;
    line-height: 1;
    color: #575756;
    text-transform: uppercase;
    font-family: var(--dm-sans);
    text-align: center;
    z-index: 99999;
    transition: all .5s ease;
}

.svg-calendar > div span{
    font-weight: 900;
}

#active-calendar.svg-calendar{
  bottom: 5px;
  left: 50%;
  transform: translateX(-50%);
  fill: inherit;
    width: 100px;
  height: auto;
}

#prev-calendar.svg-calendar{
  bottom: 5px;
  left: 17%;
  transform: translateX(-50%);
  fill: rgb(94, 94, 94);
  width: 70px;
  height: auto;
  opacity: 1;
}
#prev-calendar.svg-calendar.active{
  left: calc(17% - .5rem);
}

#new-prev-calendar.svg-calendar{
  bottom: 5px;
  left: 0%;
  transform: translateX(-50%);
  fill: rgb(94, 94, 94);
  width: 70px;
  height: auto;
  opacity: 0;
}
#next-calendar.svg-calendar{
  bottom: 5px;
  left: 83%;
  transform: translateX(-50%);
  fill: rgb(94, 94, 94);
  width: 70px;
  height: auto;
  opacity: 1;
}
#next-calendar.svg-calendar.active{
  left: calc(83% + .5rem);
}

#prev-calendar.svg-calendar div, #next-calendar.svg-calendar div{
    padding-top: 1rem;
    font-size: 1.3rem;
}
#new-next-calendar.svg-calendar{
  bottom: 5px;
  left: 100%;
  transform: translateX(-50%);
  fill: rgb(94, 94, 94);
  width: 70px;
  height: auto;
  opacity: 0;
}

#calendar-buttons > button{
    display: block;
    padding: .5rem 0;
    flex-grow: 1;
    color: #706F6F;
    position: relative;
    transition: background-color .25s ease, color .25s ease;
    font-weight: 700;
}

#calendar-buttons > button:hover{
}

#calendar-buttons > button span{
    color: inherit;
    font-weight: inherit;
}

#calendar-buttons > button.event-index{
    border-left: 2px solid var(--white);
    border-right: 2px solid var(--white);
    cursor: default;
}

#event-footer .first, #event-footer .last{
    opacity: .5;
    cursor: not-allowed;
}

#event-back{
    text-align: left;
    padding-left: 4rem;
}
#event-footer[data-id="0-0-0"] #event-back{
  visibility: hidden;
}

#event-back::before{
    content: '';
    position: absolute;
   width: 3rem;
    height: 3rem;
    top:50%;
    transform: translateY(-50%);
    left: 3rem;
    background: url('../assets/left_arrow.svg');
    background-repeat: no-repeat;
    transition: left .25s ease;

}
#event-back:hover::before{
    left: 2.5rem;
}

#event-next{
    text-align: right;
    padding-right: 4rem;
}
#event-footer[data-id="11-0-0"] #event-next{
  visibility: hidden;
}
#event-next::before{
    content: '';
    position: absolute;
    width: 3rem;
    height: 3rem;
    top:50%;
    transform: translateY(-50%);
    right: 3rem;
    background: url('../assets/right-arrow.svg');
    background-repeat: no-repeat;
    transition: right .25s ease;
}
#event-next:hover::before{
    right: 2.5rem;
}
#event-index{
    width: 30%;
}

#featured-media{
    position: absolute;
    top: 0;
    left: 0;
    width:100vw;
    height:100%;
    z-index: 10000;
    transform: translateY(-100%);
    transition: transform .25s ease-out;
    display: flex;
    align-items: center;
    overflow-y: hidden;
}

#featured-media img{
    max-height: 95%;
    margin: auto;
}

#featured-media[aria-hidden="false"]{
    transform: translateY(0%);
    transition: transform .25s ease-out;
    background-color: #000000;
}

#citation{
    position: absolute;
    width: 100%;
    padding: 2rem;
    bottom: 0;
    left: 0;
    background-color: #000000bd;
    color: var(--white);
    text-align: right;
}

#citation button{
    color: var(--white);
}

#featured-video{
    width: 100%;
}

#next-event, #prev-event{
    position: absolute;
    bottom: 0;
    height: 100%;
    z-index: 1001;
    background-color: var(--white);
    overflow: visible;
    filter: drop-shadow(3px 5px 16px #000000);

}

#next-event{
    left: 100%;
    animation: slideLeft .8s forwards;
}
@keyframes slideLeft {
  from {left: 100%;}
  to {left: 0%;}
}

#prev-event{
    left: 0%;
    transform: translateX(-100%);
    animation: slideRight .8s forwards;
}
@keyframes slideRight {
  from {left: 0%;}
  to {left: 100%;}
}


#featured-modal{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 100000;
  visibility: visible
}
#featured-modal[aria-hidden="true"]{
  visibility: hidden;

}


#featured-modal[aria-hidden="true"] #featured-modal-shadow, #featured-modal.closing #featured-modal-shadow{
  opacity: 0;

}

#featured-modal-shadow{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #000000;
  opacity: .5;
  cursor: pointer;
  transition: opacity .25s ease;
}

#featured-modal[aria-hidden="true"] #featured-modal-content, #featured-modal.closing #featured-modal-content{
  top: calc(50% + 5rem);
  opacity: 0;
}

#featured-modal-content{
  position: absolute;
  opacity: 1;
  top: calc(50% + 2rem);
  left: calc(50% + 2rem);
  transform: translateX(calc(-50% - 2rem)) translateY(calc(-50% - 2rem));
  max-height: calc(100% - 2rem);
  max-width: calc(100% - 2rem);
  width: max-content;
  height: auto;
  transition: opacity .25s ease, top .25s ease;

}

#featured-modal-content img.portrait{
  width: auto;
  height: 100%;
  max-height: calc(var(--size) - 2rem);
}

#featured-modal-content img.landscape{
  width: 100%;
  height: auto;

}

#featured-modal-content button{
  position: absolute;
  top: 1rem;
  right: 1rem;
  color: white;
  width: 30px;
  height: 30px;
  background-color: #00000027;
  border: 1px solid white;
  font-size: 0px;
}

#featured-modal-content button::after{
content:"\d7";
font-size: 20px !important;
line-height: .5;
}


#featured-modal-content button:hover{
  background-color: #ffffff27;
}

@media screen and (max-width: 429px) {

  .event-header{
    padding: 1rem;
    height: 100px;
  }
  .event-title{
    font-size: 1rem;
  }
  .event-corner{
    padding: 0px;
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .close-event{
    width: 30px;
  height: 30px;
  border: 1.5px solid white
  }
  .event-body{
    padding-top: 100px
  }
.event-content{
  padding: 1rem;
  flex-direction: column;
}
.event-media-wrapper, .event-text{
  width: 100%;
  overflow: visible;
}
.event-media{
  order: 1;

}
.event-text{
  order: 2;
}

.event-text p{
  font-size: 1rem;
}


#calendar-buttons{
  height: 60px;
}
#calendar-buttons #event-back::before, #calendar-buttons #event-next::before{
  background-image: none;
}


#active-calendar.svg-calendar{
    width: 80px;
}

#prev-calendar.svg-calendar, #next-calendar.svg-calendar, #new-prev-calendar.svg-calendar, #new-next-calendar.svg-calendar{
  width: 60px;
}




}





/* #endregion  */

/* #Year Colours */

.event[id*="-0-"]{ background-color: var(--year-0); fill: var(--year-0-highlight);}
.event[id*="-1-"]{ background-color: var(--year-1); fill: var(--year-1-highlight);}
.event[id*="-2-"]{ background-color: var(--year-2); fill: var(--year-2-highlight);}
.event[id*="-3-"]{ background-color: var(--year-3); fill: var(--year-3-highlight);}
.event[id*="-4-"]{ background-color: var(--year-4); fill: var(--year-4-highlight);}
.event[id*="-5-"]{ background-color: var(--year-5); fill: var(--year-5-highlight);}
.event[id*="-6-"]{ background-color: var(--year-6); fill: var(--year-6-highlight);}
.event[id*="-7-"]{ background-color: var(--year-7); fill: var(--year-7-highlight);}
.event[id*="-8-"]{ background-color: var(--year-8); fill: var(--year-8-highlight);}
.event[id*="-9-"]{ background-color: var(--year-9); fill: var(--year-9-highlight);}

[data-id*="-0-"]{ background-color: var(--year-0-highlight); fill: var(--year-0-highlight);}
[data-id*="-1-"]{ background-color: var(--year-1-highlight); fill: var(--year-1-highlight);}
[data-id*="-2-"]{ background-color: var(--year-2-highlight); fill: var(--year-2-highlight);}
[data-id*="-3-"]{ background-color: var(--year-3-highlight); fill: var(--year-3-highlight);}
[data-id*="-4-"]{ background-color: var(--year-4-highlight); fill: var(--year-4-highlight);}
[data-id*="-5-"]{ background-color: var(--year-5-highlight); fill: var(--year-5-highlight);}
[data-id*="-6-"]{ background-color: var(--year-6-highlight); fill: var(--year-6-highlight);}
[data-id*="-7-"]{ background-color: var(--year-7-highlight); fill: var(--year-7-highlight);}
[data-id*="-8-"]{ background-color: var(--year-8-highlight); fill: var(--year-8-highlight);}
[data-id*="-9-"]{ background-color: var(--year-9-highlight); fill: var(--year-9-highlight);}

/* #end Year Colours */
